List guardrails
curl --request GET \
--url https://api.portkey.ai/v1/guardrails \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/guardrails"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/guardrails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"total": 1
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}
}List Guardrails
Retrieves a paginated list of guardrails for the specified workspace or organisation
GET
/
guardrails
List guardrails
Portkey is now PRISMA AIRS AI Gateway. See it in action.
Contact Us
Authorizations
Query Parameters
Workspace UUID to filter guardrails
Organisation UUID to filter guardrails
Number of items per page
Required range:
1 <= x <= 1000Current page number (0-indexed)
Required range:
x >= 0Last modified on August 3, 2026
Was this page helpful?
⌘I

